Subject: bug#55655: closed (Re: bug#55655: 28.1; package.el no longers respects `user-emacs-directory')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Sep 2023 01:42:02 +0000

Your bug report

#55655: 28.1; package.el no longers respects `user-emacs-directory'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55655: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55655
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55655: 28.1; package.el no longers respects `user-emacs-directory'
From: Stefan Kangas <[email-masked]>
To: Shitikanth <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>, Visuwesh <[email-masked]>
Date: Tue, 12 Sep 2023 18:40:53 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Shitikanth <[email-masked]> writes:

> Great news! That's exactly what I needed
>
> Thanks for pointing that out!

Great.  I'm therefore closing this bug report.

> On Fri, 27 May 2022 at 11:09, Visuwesh <[email-masked]> wrote:
>>
>> [வெள்ளி மே 27, 2022] Shitikanth wrote:
>>
>> >>Could you give some more details about the use case that actually
>> > affects you
>> >
>> > I just have a couple of different configs and use them with
>> > "emacs -Q --load $config_dir/init.el" and set the user-emacs-directory
>> > early in "$config_dir/init.el". This was also the easiest way to try out
>> > other people's configs without disturbing your own.
>> >
>> > I guess I was always aware that this was an abuse of the init system,
>> > so if this is an intended change, you can close the bug report.
>> >
>>
>> FWIW, Emacs 29 added a --init-directory flag for these purposes.  Here's
>> the NEWS entry of the change,
>>
>>     ** Emacs now supports setting 'user-emacs-directory' via '--init-directory'.

Subject: 28.1; package.el no longers respects `user-emacs-directory'
From: Shitikanth <[email-masked]>
To: [email-masked]
Date: Thu, 26 May 2022 16:37:48 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Until emacs 27.2, package.el used to correctly pick `package-user-dir'
based on the value of `user-emacs-directory', but it now seems to ignore
it and defaults to "~/.emacs.d/elpa".

Demo:
    (setq user-emacs-directory "/tmp")
    (require 'package)
    (message "%s" package-user-dir)

Starting with "emacs -Q" this would output "~/.emacs.d/elpa".
Expected output: "/tmp/elpa" (as in emacs 27.2).

Based on git bisect, the offending commit seems to be 9973019764.